Loading...
Searching...
No Matches
Dune::cpgrid::FaceCellsContainerProxy Class Reference

A class representing the face to cells mapping similar to the way done in UnstructuredGrid. More...

`#include <GridHelpers.hpp>`

## Public Types

typedef FaceCellsProxy | row_type

## Public Member Functions

| FaceCellsContainerProxy (const Dune::CpGrid *grid)
| Constructor.
FaceCellsProxy | operator[] (int cell_index) const
| Get the mapping for a cell.
int | operator() (int cell_index, int local_index) const
| Get a face associated with a cell.

## Detailed Description

A class representing the face to cells mapping similar to the way done in UnstructuredGrid.

## Constructor & Destructor Documentation

## FaceCellsContainerProxy()

Dune::cpgrid::FaceCellsContainerProxy::FaceCellsContainerProxy | ( | const Dune::CpGrid * | grid | ) |

inline explicit

Constructor.

Parameters

  grid | The grid whose information we represent.

## Member Function Documentation

## operator()()

int Dune::cpgrid::FaceCellsContainerProxy::operator() | ( | int | cell_index,
|  | int | local_index ) const

inline

Get a face associated with a cell.

Parameters

  cell_index | The index of the cell.
  local_index | The local index of the cell, either 0 or 1.
  The | index of the face or -1 if it is not present because of a boundary.

## operator[]()

FaceCellsProxy Dune::cpgrid::FaceCellsContainerProxy::operator[] | ( | int | cell_index | ) | const

inline

Get the mapping for a cell.

Parameters

  cell_index | The index of the cell.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp